#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-panel
Version		:	1.27.1
Release		:	14.4.0.0%{?dist}
Summary		:	GNOME panel
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-with-gettext-0.22.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	docbook-xsl
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	gtk-layer-shell-devel
BuildRequires	:	itstool
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	libxslt
BuildRequires	:	libwnck
BuildRequires	:	libmateweather-devel
BuildRequires	:	mate-common
BuildRequires	:	mate-desktop
BuildRequires	:	mate-menus
BuildRequires	:	wayland
BuildRequires	:	yelp-tools
BuildRequires	:	xorg-libSM
BuildRequires	:	xorg-libICE

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' contains the MATE panel, the libmate-panel-applet library and
several applets:

  + the MATE panel is the area on your desktop from which you can run
    applications and applets, and perform other tasks.

  + the libmate-panel-applet library allows to develop small applications
    which may be embedded in the panel. These are called applets.
    Documentation for the API is available with gtk-doc.

  + the applets supplied here include the Workspace Switcher, the Window
    List, the Window Selector, the Notification Area, the Clock and the
    infamous 'Wanda the Fish'.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{shortname}-desktop-*
%{_bindir}/%{name}*
%{_includedir}/%{name}-*/lib%{name}-applet/%{name}-applet*.h
%{_libdir}/lib%{name}-applet-*.so*
%{_libdir}/%{name}/*-applet.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.panel.enums.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel*.gschema.xml
%{_datadir}/gtk-doc/html/%{name}-*/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}-applet/style.css
%{_datadir}/help/*/%{shortname}-*/legal.xml
%{_datadir}/help/*/%{shortname}-*/*.{docbook,png}
%{_datadir}/help/*/%{shortname}-*/*/*.{docbook,png}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}-*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}-*.svg
%{_datadir}/%{name}/layouts/*.layout
%{_datadir}/%{name}/applets/org.mate.panel.*.%{name}-applet
%{_datadir}/%{name}/*/*.png
%{_mandir}/man1/%{shortname}-*.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor  2> /dev/null
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#=============================================================================
%prep
%setup -q 
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

NOCONFIGURE=1 ./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--enable-gtk-doc				\
	--disable-schemas-compile			\
	--disable-static				\
	--enable-introspection   			\
	--enable-x11					\
	--enable-wayland				\
	--with-in-process-applets=all			\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
